llvm-defaults (0.52~exp1) experimental; urgency=medium

  * Drop TODO and Breaks/Replaces
  * Bump defaults to llvm-12
  * Drop double breaks/replaces for clang-tools

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Mar 2021 11:26:07 +0100

llvm-defaults (0.51+nmu4) unstable; urgency=medium

  * Non-maintainer upload.

  * really fix relax breaks+replaces;
    closes: bug#979817, thanks (again) to Andreas Beckmann

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Jan 2021 16:39:00 +0100

llvm-defaults (0.51+nmu3) unstable; urgency=medium

  * Non-maintainer upload.

  * add note documenting need for Breaks+Replaces
  * fix relax breaks+replaces;
    closes: bug#979817, thanks to Andreas Beckmann and Sylvestre Ledru

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Jan 2021 15:49:22 +0100

llvm-defaults (0.51+nmu2) unstable; urgency=medium

  * Non-maintainer upload.

  * fix provide unversioned wasm-ld in lld
    (not broken symlink in llvm),
    and replace + break broken package;
    thanks to Paul Wise and Sylvestre Ledru

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Jan 2021 18:25:49 +0100

llvm-defaults (0.51+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  * Provide unversioned wasm-ld in llvm;
    closes: bug#976431

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Dec 2020 17:10:28 +0100

llvm-defaults (0.51) unstable; urgency=medium

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Dec 2020 23:43:26 +0100

llvm-defaults (0.51~exp2) experimental; urgency=medium

  [ Alexander Volkov ]
  * Add libclang-cpp-dev package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Dec 2020 21:05:39 +0100

llvm-defaults (0.51~exp1) experimental; urgency=medium

  * Disable ocaml binding on i386, the architecture is dying in Ubuntu,
    and makes little sense in Debian too, to support ocaml here
  * Bump default llvm-version to 11
  * Add R^3 no
  * Bump std-version to 4.5.0
  * Bump compat level to 12
  * Drop asterisks from NEWS file
  * Add myself to uploaders
  * Fix typo in lintian override
  * Fix duplicate long description for libc++abi-dev
  * Fix some duplicate short/long descriptions
  * Move libomp5 to libs section
  * Update copyright years and license path, to fix lintian warning
  * drop dh_testroot from rules file
  * Use pkg-info.mk to detect the changelog version,
    instead of parsing with dpkg-parsechangelog

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Sep 2020 09:34:28 +0200

llvm-defaults (0.50~exp1) experimental; urgency=medium

  * Bump defaults to llvm-toolchain-10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Mar 2020 20:51:08 +0100

llvm-defaults (0.49.1) unstable; urgency=medium

  * python3-clang: Depend on python3-clang-10.
    Thanks to doko for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 09 Mar 2020 15:09:51 +0100

llvm-defaults (0.49) unstable; urgency=medium

  * Upload to unstable for the 9 transition.
    See bug #947165
  * Set debhelper-compat version in Build-Depends.
  * Move transitional packages python-clang, python-lldb to
    oldlibs/optional per policy 4.0.1.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 20 Feb 2020 09:01:34 +0100

llvm-defaults (0.49~exp3) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * fix build

  [ Gianfranco Costamagna ]
  * Revert "enable lldb on s390x too, it builds fine now there"
    - this has a bad side effect, also enabling lld on s390x, but it isn't
      built there, so Britney doesn't allow migration
  * Split instead the configuration into EXTRA_SUPPORTED and LLD_SUPPORTED

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Jan 2020 01:39:47 +0100

llvm-defaults (0.49~exp2) experimental; urgency=medium

  * Introduce python 3 packages (Closes: #945660)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 22 Dec 2019 12:02:55 +0100

llvm-defaults (0.49~exp1) experimental; urgency=low

  * Team upload
  * Default to 9 for early testers

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Sep 2019 18:36:47 +0200

llvm-defaults (0.48.3) unstable; urgency=medium

  * Also break clang-tools version 9, the one defaulted in Ubuntu before clangd
    introduction

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Sep 2019 10:19:33 +0200

llvm-defaults (0.48.2) unstable; urgency=medium

  * Fix breaks/replaces for clangd (Closes: #939267)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Sep 2019 21:25:12 +0200

llvm-defaults (0.48.1) unstable; urgency=medium

  * Source upload (oh, this is a waste of time)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Sep 2019 09:49:44 +0200

llvm-defaults (0.48) unstable; urgency=medium

  * Upload to unstable
  * Ship clangd as a new package

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Aug 2019 16:00:11 +0200

llvm-defaults (0.48~exp1) experimental; urgency=medium

  * Default to 8 for early tester

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Mar 2019 11:51:24 +0100

llvm-defaults (0.47.1) unstable; urgency=medium

  * Team upload
  * Fix the lld.1.gz symlink.  (Closes: #891591)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2019 00:20:21 +0100

llvm-defaults (0.47) unstable; urgency=medium

  * Provide unversioned tools in llvm:
   - dsymutil
   - llvm-PerfectShuffle
   - llvm-c-test
   - llvm-cat
   - llvm-cfi-verify
   - llvm-cvtres
   - llvm-cxxdump
   - llvm-cxxfilt
   - llvm-dlltool
   - llvm-dwp
   - llvm-exegesis
   - llvm-lib
   - llvm-lto
   - llvm-lto2
   - llvm-mca
   - llvm-modextract
   - llvm-mt
   - llvm-objcopy
   - llvm-opt-report
   - llvm-pdbutil
   - llvm-rc
   - llvm-readelf
   - llvm-readobj
   - llvm-split
   - llvm-stress
   - llvm-strings
   - llvm-strip
   - llvm-undname
   - llvm-xray
   - sanstats
   With the manpages when existing
   (Closes: #917311)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Dec 2018 12:02:35 +0100

llvm-defaults (0.46) unstable; urgency=medium

  * Remove armel support in libllvm-ocaml-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 17 Nov 2018 09:49:30 +0100

llvm-defaults (0.45) unstable; urgency=medium

  * Bring back libllvm-ocaml-dev
  * Add a symlink for the emacs integration (Closes: #813434)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 01 Nov 2018 11:15:49 +0100

llvm-defaults (0.44) unstable; urgency=medium

  * upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 31 Oct 2018 13:12:35 +0100

llvm-defaults (0.44~exp3) experimental; urgency=medium

  * Also ship git-clang-format as part of clang-format (Closes: #909338)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Oct 2018 21:29:23 +0200

llvm-defaults (0.44~exp2) experimental; urgency=medium

  * Also ship clangd as part of clang-tools
    http://lists.llvm.org/pipermail/clangd-dev/2018-September/000136.html

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 21 Sep 2018 16:21:59 +0200

llvm-defaults (0.44~exp1) experimental; urgency=medium

  * Standards-Version: 4.2.1

  [ Matthias Klose ]
  * Bump defaults to LLVM 7.

  [ Reshabh Sharma ]
  * Add OpenMP and libc++ packages

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 20 Sep 2018 20:46:03 +0200

llvm-defaults (0.43) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Aug 2018 11:32:01 +0200

llvm-defaults (0.42exp1) experimental; urgency=medium

  * Team upload
  * Add new python-clang and python-lldb packages (Closes: #807704)
  * Add two lintian overrides for python packages
  * Add new liblldb-dev package (Closes: #904282)
  * Add liblldb-dev binaries/links

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Aug 2018 17:39:41 +0200

llvm-defaults (0.42) unstable; urgency=medium

  [ Dimitri John Ledkov <xnox@ubuntu.com> ]
  * Enable lldb on ppc64el. LP: #1777136

  [ Gianfranco Costamagna ]
  * Break/Replace for clang-tools newly owned packages (Closes: #888555)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Jul 2018 10:30:58 +0200

llvm-defaults (0.41) unstable; urgency=medium

  * Upload to unstable. Ready for the transition. See #893189
    Transition to 6.0
  * Standards-Version: 4.1.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 07 Jul 2018 22:24:33 +0200

llvm-defaults (0.41~exp5) experimental; urgency=medium

  * Unbreak the creation of symlink (caused by comments?!). (LP: #1769737)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 May 2018 12:26:41 +0200

llvm-defaults (0.41~exp4) experimental; urgency=medium

  * Default to 6.0 (meaning we will skip the 5.0 transition)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 09 Mar 2018 11:07:07 +0100

llvm-defaults (0.41~exp3) experimental; urgency=medium

  * clang-tools: Pull the right package (clang-tools-X)
    (Closes: #890747)
  * Move the VCS to git.
    Many thanks to James Clarke for doing the conversion

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 26 Feb 2018 16:16:02 +0100

llvm-defaults (0.41~exp2) experimental; urgency=medium

  * Also add the new clang-tools package

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Jan 2018 10:02:23 +0100

llvm-defaults (0.41~exp1) experimental; urgency=medium

  * Default to 5.0
  * Add more documentations in the README.debian file
  * Standards-Version: 4.1.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Jan 2018 17:43:48 +0100

llvm-defaults (0.40) unstable; urgency=medium

  * Drop lld from architectures where lld is not built
    (Closes: #883477)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Dec 2017 14:34:27 +0100

llvm-defaults (0.39) unstable; urgency=medium

  * Remove clang-tblgen as it has been removed in 4.0.1~+rc2-1
    (Closes: #877203)
  * Update of the description of the clang C++ support (Closes: #761375)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Nov 2017 10:24:25 +0100

llvm-defaults (0.38) unstable; urgency=medium

  * Upload to unstable. Default to 4.0
  * Fix the debian-rules-sets-dpkg-architecture-variable warning

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 Nov 2017 20:55:28 +0100

llvm-defaults (0.38~exp1) experimental; urgency=medium

  * Bump version to match the upload in unstable
  * Disable the ocaml dep package
  * Add the lld manpage

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 30 Oct 2017 11:12:52 +0100

llvm-defaults (0.37~exp5) experimental; urgency=medium

  * Also ship scancov as part of clang (Closes: #879553)
  * Standards-Version updated to 4.1.1
  * Fix "wrong-section-according-to-package-name libclang1 => libs"

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 22 Oct 2017 22:12:34 +0200

llvm-defaults (0.37~exp4) experimental; urgency=medium

  * Also ship run-clang-tidy.py & clang-tidy-diff.py (Closes: #878501)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 14 Oct 2017 08:43:55 +0200

llvm-defaults (0.37~exp3) experimental; urgency=medium

  * Also ship ld.lld as part of the lld package
  * Fix clang: maintainer-script-without-set-e

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Jul 2017 07:15:37 +0200

llvm-defaults (0.37~exp2) experimental; urgency=medium

  * No longer create /usr/lib/ocaml/llvm
    Done by libllvm-X.Y-ocaml-dev (Closes: #866725)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Jul 2017 18:23:07 +0200

llvm-defaults (0.37~exp1) experimental; urgency=medium

  * Default to 5.0
  * Add llvm-profdata and llvm-symbolizer in the list of binaries
  * Add lld as a new dependency package
  * Add manpages for llvm-cov llvm-dwarfdump llvm-mc clang-format
    clang-format-diff clang-tidy lldb lldb-mi clang llvm-objdump
    llvm-rtdyld llvm-size clang-apply-replacements clang-check
    clang-query scan-build scan-view in their respective packages
  * Standards-Version updated to 4.0.0
  * Compat mode bump to 9
  * Fix wrong-name-for-changelog-of-native-package

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 Jun 2017 23:07:45 +0200

llvm-defaults (0.36) unstable; urgency=medium

  * Also remove libllvm-3.8-ocaml-dev from the build dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 18 Apr 2017 14:08:37 +0200

llvm-defaults (0.35) unstable; urgency=medium

  * Add llvm-profdata and llvm-symbolizer in the list of binaries
  * Following the change on llvm-toolchain-3.{8,9}, restrict the list of archs
    for libllvm-ocaml-dev to arm & intel cpus

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 18 Apr 2017 12:01:50 +0200

llvm-defaults (0.34+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove obsolete symlink /usr/bin/pp-trace. (Closes: #839909)
  * Remove obsolete symlink /usr/bin/macho-dump. (Closes: #839906)

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Mar 2017 20:23:49 +0100

llvm-defaults (0.34) unstable; urgency=medium

  * Upload to unstable
  * Add arm64 to the list of supported arch for lldb (Closes: #836591)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Oct 2016 19:15:35 +0200

llvm-defaults (0.34~exp4) experimental; urgency=medium

  * Sync from Ubuntu (thanks Doko):
    - lldb-argdumper, lldb-server, lldb-mi provided as new binaries
      (LP: #1585928)
    - Don't build lldb on powerpc.
    - lldb is not supported on s390x

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 Jun 2016 16:48:37 +0200

llvm-defaults (0.34~exp3) experimental; urgency=medium

  * Really change to 3.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 Jun 2016 16:36:27 +0200

llvm-defaults (0.34~exp2) experimental; urgency=medium

  * Default to 3.8
    - Yes, that means that we are skipping 3.7 as transition
  * Remove clang-modernize (replaced by clang-tidy)
  * Standards-Version updated to 3.9.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 26 Jan 2016 14:44:44 +0100

llvm-defaults (0.34~exp1) experimental; urgency=medium

  * Default to 3.7

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 26 Jan 2016 14:44:44 +0100

llvm-defaults (0.33) unstable; urgency=medium

  * Fix for real bug #803558 by using 1:3.6-28 instead of << 0.28
    (Closes: #803558)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 01 Jan 2016 21:14:51 +0100

llvm-defaults (0.32) unstable; urgency=medium

  * Fix the upgrade from 'testing'
    Adds Breaks: clang (<< 0.28) & Replaces: clang (<< 0.28)
    into clang-format, clang-tidy & clang-modernize (Closes: #803558)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Nov 2015 14:16:26 +0100

llvm-defaults (0.31) unstable; urgency=medium

  * Fix incorrect symlink with obj2yaml, yaml2obj (Closes: #803376)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Oct 2015 13:35:25 +0100

llvm-defaults (0.30) unstable; urgency=medium

  * Fix the clang-format & clang-format-diff install (Closes: #802569)
  * Remove checks on the 3.6 version as we don't support older version

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Oct 2015 10:39:27 +0100

llvm-defaults (0.29) unstable; urgency=medium

  * Improve the clang-format management, including the vim plugin.
    Thanks to Mathieu Malaterre (Closes: #802444)
  * Also add the clang-tidy link.
    Thanks to Daniel Serpell (Closes: #802496)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 20 Oct 2015 09:19:18 +0200

llvm-defaults (0.28) unstable; urgency=medium

  * Add clang-format, clang-tidy & clang-modernize as new packages to
    change the default (Closes: #800374)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 19 Oct 2015 10:35:25 +0200

llvm-defaults (0.27) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 11 Oct 2015 14:08:24 +0200

llvm-defaults (0.27~exp2) experimental; urgency=medium

  * Fix a broken symlink in ocaml support (Closes: #781341)
    Thanks to Emmanuel Fleury for the patch
  * Update build deps to 3.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 31 Mar 2015 13:45:20 +0200

llvm-defaults (0.27~exp1) experimental; urgency=medium

  * Default to clang 3.6
  * Remove llvm-ld & llvm-prof symlink as they have been removed upstream
    (Closes: #779671)
  * Standards-Version updated to 3.9.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 05 Mar 2015 10:01:43 +0100

llvm-defaults (0.26) unstable; urgency=medium

  * Remove some artifacts

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Nov 2014 14:59:37 +0100

llvm-defaults (0.25) unstable; urgency=medium

  * Fix FTBFS on ppc64el/arm64 (Closes: #765354)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 03 Nov 2014 13:56:35 +0100

llvm-defaults (0.24) unstable; urgency=medium

  * Upload in unstable
  * Note that lldb is not yet co instalable
  * Also breaks against clang 3.2 (just in case)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Sep 2014 18:38:55 +0200

llvm-defaults (0.24~exp2) experimental; urgency=medium

  * Also manages lldb
  * Also breaks/replaces with clang-3.3 (Closes: #758325)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Sep 2014 11:33:45 +0200

llvm-defaults (0.24~exp1) experimental; urgency=medium

  * Default to 3.5 (Thanks to Doko for the patch)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 31 Aug 2014 10:34:39 +0200

llvm-defaults (0.23) unstable; urgency=medium

  * Upload to unstable
  * Fix a bad link in libllvm-ocaml-dev (Closes: #644101)

  [ Matthias Klose ]
  * Depend on 3.5 on ppc64el.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Aug 2014 10:52:28 +0200

llvm-defaults (0.23~exp1) experimental; urgency=medium

  * Co installation of clang (Closes: #736057) Manages:
    - clang
    - clang++
    - clang-check
    - clang-tblgen
    - c-index-test
    - clang-apply-replacements
    - clang-tidy
    - pp-trace
    - clang-query
    - scan-build
    - scan-view
  * yaml2obj, obj2yaml, verify-uselistorder will be managed once defaulting
    to 3.6 (probably Jessie+1)
  * clang alternatives are managed by this package now

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 02 Aug 2014 13:34:59 +0200

llvm-defaults (0.22) unstable; urgency=medium

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Jul 2014 19:23:54 +0200

llvm-defaults (0.22~exp1) experimental; urgency=medium

  * Ack previous NMU. Thanks mate!
  * Default to LLVM & clang 3.4 for Jessie (Already the case for Ubuntu 14.04)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 27 Apr 2014 13:03:49 -0700

llvm-defaults (0.21+nmu1) unstable; urgency=medium

  * Non-maintainer upload
  * Handle symlink to directories conversion (Closes: #736311)

 -- David Prévot <taffit@debian.org>  Mon, 14 Apr 2014 20:41:27 -0400

llvm-defaults (0.21) unstable; urgency=low

  * Upload in unstable
    - ldc does not build with 3.3 but has already 3 rc (See: #730782)
    - lightspark FTBFS but I reported a patch (See: #730780)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 29 Nov 2013 16:56:59 +0100

llvm-defaults (0.21~exp1) experimental; urgency=low

  * Switch default to 3.3 (Closes: #729925)
  * Update of the clang descriptions (Closes: #727684)
  * WIP: Provide libclang1 and libclang-dev virtual packages
  * Standards-Version updated to 3.9.5
  * Remove deprecated references to llvm 2.7

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Oct 2013 14:59:22 +0100

llvm-defaults (0.20) unstable; urgency=low

  * Handle symlink to directory conversion (Closes: #720149)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Aug 2013 17:57:08 +0200

llvm-defaults (0.19) unstable; urgency=low

  * I forgot that lldb-3.2 is no longer built (we are waiting the 3.3 switch)
    Disable it for all archs

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Jul 2013 18:22:27 +0200

llvm-defaults (0.18) unstable; urgency=low

  [ Adam Conrad ]
  * Only build lldb metapackage on i386 and amd64 to match the binary.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Jul 2013 13:46:48 +0200

llvm-defaults (0.17) unstable; urgency=low

  * Copy the copyright file for clang & lldb (Closes: #707838)
  * Update of the lldb description to avoid the empty-binary-package warning.
  * Replace dh_clean -k by dh_prep

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 14 May 2013 12:08:05 +0200

llvm-defaults (0.16) unstable; urgency=low

  * Upload to unstable
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 10 May 2013 10:05:46 +0200

llvm-defaults (0.16~exp2) experimental; urgency=low

  * Introduce the "clang" package which will point to the right version
  * Introduce the "lldb" package which will point to the right version
  * Fix the path install in libllvm-ocaml-dev (Closes: #644101)
  * Remove llvm-ld & llvm-stub manpages (binaries removed)
    (Closes: #697115)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 01 Mar 2013 15:38:01 +0100

llvm-defaults (0.16~exp1) experimental; urgency=low

  * Switch default to llvm 3.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Dec 2012 13:15:50 +0100

llvm-defaults (0.15~exp1) experimental; urgency=low

  * Switch default to llvm 3.1 for Jessie(!) (Closes: #677555)
  * Remove Arthur Loiret from the uploader

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 01 Aug 2012 18:43:29 +0200

llvm-defaults (0.14) unstable; urgency=low

  [ Vincent Legout ]
  * debian/rules: Update symlinks to match binaries and manpages from llvm-3.0
    instead of llvm-2.7 (Closes: #674896)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Jul 2012 22:39:22 +0200

llvm-defaults (0.13) unstable; urgency=low

  * Fix the symlink bad path. Thanks to Sam Hocevar (Closes: #679468)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 29 Jun 2012 23:51:40 +0200

llvm-defaults (0.12) unstable; urgency=low

  * Add an epoch to fix my mistake with the binary version
    (Closes: #678684)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 24 Jun 2012 17:50:21 +0200

llvm-defaults (0.11) unstable; urgency=low

  * Actually, 0.10 is too risky for wheezy. Rollback to 3.0 for default

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Jun 2012 09:19:22 +0200

llvm-defaults (0.10) unstable; urgency=low

  * Switch default to llvm 3.1 for Wheezy (Closes: #677555)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Jun 2012 22:51:53 +0200

llvm-defaults (0.9) unstable; urgency=low

  * Switch default to llvm 3.0 for Wheezy

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Mar 2012 18:42:31 +0100

llvm-defaults (0.8) unstable; urgency=low

  * Incorrect path to libLLVMgold.so (Closes: #655925)
  * Standards-Version updated to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Mar 2012 00:45:43 +0100

llvm-defaults (0.7) unstable; urgency=low

  * Switch default to llvm 2.9
  * llvm-dev depends on llvm (LP: #766215)
  * Fix warning debian-rules-missing-recommended-target
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Dec 2011 20:34:17 +0100

llvm-defaults (0.6) unstable; urgency=low

  * debian/rules: Depends at least on the version 2.8-6 of llvm
  * debian/rules: Link /usr/lib/llvm-2.8/lib/libLLVMgold.so to
                  /usr/lib/libLLVMgold.so
                  and /usr/lib/llvm-2.8/lib/libLTO.so to
                  /usr/lib/libLTO.so
    See bug #631178

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 26 Jun 2011 23:44:04 +0200

llvm-defaults (0.5) unstable; urgency=low

  * debian/rules: Depends at least on the version 2.8-4 (Closes: #627344)
  * debian/control: Update the dependency on libllvm-2.8-ocaml-dev (instead of
    libllvm-ocaml-2.8-dev) (Closes: #629756)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 May 2011 21:46:15 +0200

llvm-defaults (0.4) unstable; urgency=low

  * Change hardcoded values in debian/rules for CURRENT_VERSION
  * Update of the path for vim
  * Update the path to META.llvm reflecting the change in llvm-2.8
    (META.llvm-2.8 => META.llvm-2_8)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 17 May 2011 17:53:32 +0200

llvm-defaults (0.3) unstable; urgency=low

  * Sync from Ubuntu
  * Add myself to the uploader
  * Update of the tags Vcs-Svn & Vcs-Browser
  * Standards-Version updated to 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 04 May 2011 18:40:06 +0200

llvm-defaults (0.2ubuntu3) maverick; urgency=low

  * Bump dependencies to the final 2.8 version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Oct 2010 14:12:02 +0200

llvm-defaults (0.2ubuntu2) maverick; urgency=low

  * Build-depend on m4.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Sep 2010 22:17:09 +0200

llvm-defaults (0.2ubuntu1) maverick; urgency=low

  * Prepare for maverick, default to llvm-2.8.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Sep 2010 21:26:11 +0200

llvm-defaults (0.1) unstable; urgency=low

  * Initial Release.

 -- Arthur Loiret <aloiret@debian.org>  Sun, 15 Aug 2010 20:15:37 +0000
